## Struct allowed_repeated

zeep::xml::doctype::allowed_repeated

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/doctype.hpp>

    struct allowed_repeated : public zeep::xml::doctype::allowed_base {
      // construct/copy/destruct
      allowed_repeated(allowed_ptr, char);
      ~allowed_repeated();

      // public member functions
      state_ptr create_state() const;
      bool element_content() const;
      void print(std::ostream &);

      // public data members
      allowed_ptr m_allowed;
      char m_repetition;
    };

## Description

### `allowed_repeated` public construct/copy/destruct

1.     allowed_repeated(allowed_ptr allowed, char repetion);

2.     ~allowed_repeated();

### `allowed_repeated` public member functions

1.     state_ptr create_state() const;

2.     bool element_content() const;

3.     void print(std::ostream & os);